DEB-JANITOR(1)

NAME
deb-janitor - interact with the Debian Janitor service

SYNOPSIS

deb-janitor status CAMPAIGN SOURCE?

deb-janitor diff CAMPAIGN SOURCE?

deb-janitor schedule CAMPAIGN SOURCE?

deb-janitor merge [--force] CAMPAIGN

deb-janitor review CAMPAIGN [--source SOURCE] rejected|approved|reschedule COMMENT?

DESCRIPTION
deb-janitor is a command-line client for the Debian Janitor service, interacting with the API. It currently allows retrieving the diff for specific packages or scheduling new runs.

CAMPAIGN is the name of one of the campaigns supported by the janitor. Common values include lintian-fixes and multiarch-fixes. See the homepage for a full list.

SOURCE is the name of a source package. If no source package name is specified, the source name is retrieved from debian/changelog in the current directory.

OPTIONS

-h, --help
    show this help message and exit

-v, --verbose
    Output more information

--api-url
    Override the API endpoint to communicate with, rather than using the main Debian Janitor instance. E.g. --api-url=https://janitor.kali.org/api/.

EXAMPLES
    # Schedule a new run fixing lintian issues in the "dulwich" package:
    $ deb-janitor schedule dulwich lintian-fixes
    Scheduled. Estimated duration: 236.32s, queue position: 1 (wait time: 0.00)
    # Retrieve the diff for fontmake
    $ deb-janitor diff fontmake lintian-fixes
    === added file 'debian/upstream/metadata'
    --- a/debian/upstream/metadata	1970-01-01 00:00:00 +0000
    +++ b/debian/upstream/metadata	2020-11-28 11:58:34 +0000
    @@ -0,0 +1,5 @@
    +---
    +Bug-Database: https://github.com/googlei18n/fontmake/issues
    +Bug-Submit: https://github.com/googlei18n/fontmake/issues/new
    +Repository: https://github.com/googlei18n/fontmake.git
    +Repository-Browse: https://github.com/googlei18n/fontmake
    # Leave a review for a package
    $ deb-janitor review fontmake lintian-fixes rejected "Some fonts are no longer installed"
    # Merge lintian-fixes for a package
    $ debcheckout a56
    $ cd a56
    $ deb-janitor merge lintian-fixes
    Adding debian-janitor remote

AUTHORS
deb-janitor and this manual page were written by Jelmer Vernooĳ <jelmer@debian.org>

Both are released under the GNU General Public License, version 3 or later.

SEE ALSO
lintian-brush(1)